You are not logged in.

#1 2020-07-24 06:47:42

Xakep_SDK
Member
Registered: 2017-09-23
Posts: 56

Gwenview not working

I'm trying to start gwenview, but it does not work
user@arch ~ % gwenview
gwenview: error while loading shared libraries: libraw.so.20: cannot open shared object file: No such file or directory

gwenview
Version                  : 20.07.80-1
libraw
Version                  : 0.19.5-3

Additional repositories enabled: multilib, kde-unstable

Offline

#2 2020-07-24 07:20:29

GaKu999
Member
Registered: 2020-06-21
Posts: 126

Re: Gwenview not working

Xakep_SDK wrote:

I'm trying to start gwenview, but it does not work
user@arch ~ % gwenview
gwenview: error while loading shared libraries: libraw.so.20: cannot open shared object file: No such file or directory

gwenview
Version                  : 20.07.80-1
libraw
Version                  : 0.19.5-3

Additional repositories enabled: multilib, kde-unstable

You are using an unstable repo, that by itself is enough to understand why you are missing a library...
There's no reason unless you are a developer or a package manager to use the testing or the unstable repos...

This can be interpreted as a partial upgrade...going beyond rolling release is just breaking stuff...
And just to make sure that's the case instead of the library being obliterated run in your terminal as root "pacman -Qkk |& curl -F 'f:1=<-' ix.io" and post the link...

Last edited by GaKu999 (2020-07-24 07:27:48)

Offline

#3 2020-07-24 07:41:33

Xakep_SDK
Member
Registered: 2017-09-23
Posts: 56

Re: Gwenview not working

Something in gwenview dependency tree depends on libraw, which was built against libdraw 20 or requires librdaw 20, but this was not specified in it's build config so partial update happened
I think it's related to this package:
https://www.archlinux.org/packages/kde- … libkdcraw/
1. It depends on libraw
2. gwenview depends on it
3. It's shipped in kde-unstable

UPD:
Yep, it is:
ldd /usr/lib/libKF5KDcraw.so
libraw.so.20 => not found

Last edited by Xakep_SDK (2020-07-24 07:43:00)

Offline

#4 2020-07-24 12:34:27

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 8,276

Re: Gwenview not working

Looks like libraw 0.20 needs to be added to the kde-unstable repo .

Please create a bug report.


Multi-init booting with apg Openrc and systemd coexisting
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#5 2020-07-24 13:26:38

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 7,790

Re: Gwenview not working

Lone_Wolf wrote:

Looks like libraw 0.20 needs to be added to the kde-unstable repo .

Please create a bug report.

Here we go again. Please don't.

The *-unstable repos require the testing/community-testing repos.

Last edited by Scimmia (2020-07-24 13:27:00)

Online

#6 2020-07-24 13:40:53

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 8,276

Re: Gwenview not working

I was following the advice on the wiki.

https://wiki.archlinux.org/index.php/Official_repositories#kde-unstable wrote:

kde-unstable

This repository contains the latest beta or Release Candidate of KDE Plasma and Applications.

To enable it, add the following lines to /etc/pacman.conf:

[kde-unstable]
Include = /etc/pacman.d/mirrorlist

The kde-unstable entry should be first in the list of repositories (i.e., above the testing entry).

Make sure you make bug reports if you find any problems.

Maybe that part of the wiki is not applicable to OPs situation , but I AM trying to help posters.


Multi-init booting with apg Openrc and systemd coexisting
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#7 2020-07-24 14:16:03

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 7,790

Re: Gwenview not working

The issue isn't with you helping, it's with you telling people to file bug reports for things you have no understanding of. The linked page also says:

Warning:
Be careful when enabling the testing repositories. Your system may break after performing an update. Only experienced users who know how to deal with potential system breakage should use it.
If you enable testing, you must also enable community-testing. If you enable any other testing repository listed in the following subsections, you must also enable both testing and community-testing.

Last edited by Scimmia (2020-07-24 14:16:40)

Online

Board footer

Powered by FluxBB